• 0

    posted a message on 1.7.10 vs 1.12.2
    I want to make a modpack in 1.12.2
    but there's a mod in
    1.7.10(MCHELI)that fits what type of modpack i want to make
    This is probably terribly formatted

    Posted in: Modpack Discussion
  • To post a comment, please or register a new account.